Skip to content

API Samples

Practical examples for common partner tasks.

Note

All YOUR_* values are placeholders. Use values provided for your tenant and application.

1) Get API Token (client_credentials)

curl --request POST 'https://prod.personifyauth.com/connect/token' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'client_id=YOUR_CLIENT_ID' \
  --data-urlencode 'client_secret=YOUR_CLIENT_SECRET' \
  --data-urlencode 'grant_type=client_credentials' \
  --data-urlencode 'scope=idp_api'

2) Call API with Bearer + Tenant Header

curl --request GET 'https://api-stage.psfye.net/api/v1/exhibitor/event/YOUR_EVENT_ID?Page=1&ItemsPerPage=20' \
  --header 'Authorization: Bearer <api_access_token>' \
  --header 'X-Tenant-Id: YOUR_TENANT_ID' \
  --header 'Accept: application/json'

3) Exhibitor Lookup by Event and Email

Use this after SSO callback to resolve which exhibitor(s) are associated with the logged-in user's email for the current event.

curl --request GET 'https://api-stage.psfye.net/api/v1/exhibitor/event/YOUR_EVENT_ID/contactEmail/user@example.com' \
  --header 'Authorization: Bearer <api_access_token>' \
  --header 'X-Tenant-Id: YOUR_TENANT_ID' \
  --header 'Accept: application/json'